Ptex

Functions
CMakeLists.txt File Reference

## Functions
| configure_file (PtexVersion.h.in ${CMAKE_CURRENT_SOURCE_DIR}/PtexVersion.h @ONLY) set(SRCS PtexCache.cpp PtexFilters.cpp PtexHalf.cpp PtexReader.cpp PtexSeparableFilter.cpp PtexSeparableKernel.cpp PtexTriangleFilter.cpp PtexTriangleKernel.cpp PtexUtils.cpp PtexWriter.cpp) if(PTEX_BUILD_STATIC_LIBS) add_library(Ptex_static STATIC $
| set_target_properties (Ptex_static PROPERTIES OUTPUT_NAME Ptex) target_compile_definitions(Ptex_static PUBLIC PTEX_STATIC) target_include_directories(Ptex_static PUBLIC $< INSTALL_INTERFACE

## Function Documentation

## ◆ configure_file()

configure_file | ( | PtexVersion.h.in ${CMAKE_CURRENT_SOURCE_DIR}/PtexVersion.h @ | ONLY | ) |

Definition at line 1 of file ptex/CMakeLists.txt.

## ◆ set_target_properties()

set_target_properties | ( | Ptex_static PROPERTIES OUTPUT_NAME | Ptex | ) |

Definition at line 18 of file ptex/CMakeLists.txt.